Bug 1018541 - Review Request: libreplaygain - Gain analysis library from Musepack
Summary: Review Request: libreplaygain - Gain analysis library from Musepack
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Schwendt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1018546
TreeView+ depends on / blocked
 
Reported: 2013-10-13 05:02 UTC by Ankur Sinha (FranciscoD)
Modified: 2013-11-10 07:27 UTC (History)
4 users (show)

Fixed In Version: libreplaygain-0-0.1.20110810svn475.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-10-30 01:52:06 UTC
bugs.michael: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2013-10-13 05:02:04 UTC
Spec URL: http://ankursinha.fedorapeople.org/libreplaygain/libreplaygain.spec
SRPM URL: http://ankursinha.fedorapeople.org/libreplaygain/libreplaygain-0-0.1.svn475.fc21.src.rpm

Description: 
Gain analysis library used by musepack utilities and libraries

Fedora Account System Username: ankursinha

rpmlint errors:
[asinha@ankur-laptop  SRPMS]$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/*.rpm
libreplaygain.src: W: spelling-error Summary(en_US) musepack -> muse pack, muse-pack, mudpack
libreplaygain.src: W: spelling-error %description -l en_US musepack -> muse pack, muse-pack, mudpack
libreplaygain.x86_64: W: spelling-error Summary(en_US) musepack -> muse pack, muse-pack, mudpack
libreplaygain.x86_64: W: spelling-error %description -l en_US musepack -> muse pack, muse-pack, mudpack
libreplaygain.x86_64: W: no-documentation
libreplaygain-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 6 warnings.
[asinha@ankur-laptop  SRPMS]$

Comment 1 Michael Schwendt 2013-10-17 21:40:07 UTC
A couple of minor issues:


> %global svn_release 475
>
> Version:        0
> Release:        0.1.svn%{svn_release}%{?dist}

r475 is available as an official release snapshot since 2011.

At Fedora, the pre-release versioning scheme for snapshot packages applies:

  Release: 0.1.20110810svn%{?dist}
or
  Release: 0.1.20110810svn475%{?dist}

If you checked out a newer snapshot from svn, the date and the revision would change. Currently, svn is at 481.

https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages
https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Pre-Release_packages


> #Requires:       

It's common practise to delete unneeded items from a spec file.


> %install
> rm -rf $RPM_BUILD_ROOT

If you want to build the same spec for EL-5, consider adding a comment, because:
https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag


> cp -v include/replaygain/* $RPM_BUILD_ROOT/%{_includedir}/replaygain/

This wildcard also matches wrong files:

$ rpmls -p libreplaygain-devel-0-0.1.svn475.fc21.x86_64.rpm 
drwxr-xr-x  /usr/include/replaygain
-rw-r--r--  /usr/include/replaygain/gain_analysis.h
-rw-r--r--  /usr/include/replaygain/gain_analysis.hbackup
lrwxrwxrwx  /usr/lib64/libreplaygain.so


> %files devel
> %doc

An empty %doc is a no-op and should be deleted.


Since no licensing file is included in the tarball, consider asking upstream to add one:
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text

The fedora-review tool believes that the two source files *.c/*.h contain a LGPL preamble with an "incorrect FSF address":
https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address

Comment 2 Michael Schwendt 2013-10-17 21:56:04 UTC
Somewhat pedantic, but the spelling is "Musepack", so the %description and %summary should be updated from "musepack".

Comment 3 Ankur Sinha (FranciscoD) 2013-10-19 05:44:30 UTC
Hi Michael,

Updated:

* Sat Oct 19 2013 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0-0.1.20110810svn475
- Update as per review: #1018541
- Update version
- Remove unrequired portions
- File inclusions
- Initial rpmbuild


I've already informed upstream about the incorrect FSF address, and missing License file.

Thanks for the review. Here are the updated spec/srpm links:

http://ankursinha.fedorapeople.org/libreplaygain/libreplaygain.spec
http://ankursinha.fedorapeople.org/libreplaygain/libreplaygain-0-0.1.20110810svn475.fc21.src.rpm

Warm regards,
Ankur

Comment 4 Michael Schwendt 2013-10-19 21:29:08 UTC
Good.

Please also fix spelling of "Musepack" in the %summary. You can do that when importing into dist git, but please use the correct spelling for the fedora-cvs request already (since it ought to match this ticket's Summary).

APPROVED

Comment 5 Ankur Sinha (FranciscoD) 2013-10-20 01:02:13 UTC
Thank you for the review Michael. I'll change the summary before I import the package to git.

New Package SCM Request
=======================
Package Name: libreplaygain
Short Description: Gain analysis library from Musepack
Owners: ankursinha
Branches: f19 f20
InitialCC:

Comment 6 Gwyn Ciesla 2013-10-21 01:39:10 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2013-10-21 03:47:38 UTC
libreplaygain-0-0.1.20110810svn475.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreplaygain-0-0.1.20110810svn475.fc20

Comment 8 Fedora Update System 2013-10-21 03:47:47 UTC
libreplaygain-0-0.1.20110810svn475.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreplaygain-0-0.1.20110810svn475.fc19

Comment 9 Fedora Update System 2013-10-21 18:26:31 UTC
libreplaygain-0-0.1.20110810svn475.fc20 has been pushed to the Fedora 20 testing repository.

Comment 10 Fedora Update System 2013-10-30 01:52:06 UTC
libreplaygain-0-0.1.20110810svn475.fc19 has been pushed to the Fedora 19 stable repository.

Comment 11 Fedora Update System 2013-11-10 07:27:47 UTC
libreplaygain-0-0.1.20110810svn475.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.